Index: modules/uoa-services-portal/trunk/portal-2/src/app/services/dataset.service.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/services/dataset.service.ts	(revision 45389)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/services/dataset.service.ts	(revision 45390)
@@ -2,7 +2,6 @@
 import {Http, Response} from '@angular/http';
 import {Observable}     from 'rxjs/Observable';
 import {DatasetInfo} from '../utils/entities/datasetInfo';
-import {Metrics} from '../utils/entities/metrics';
 import {OpenaireProperties} from '../utils/properties/openaireProperties';
 import 'rxjs/add/observable/of';
 import 'rxjs/add/operator/do';
@@ -15,7 +14,6 @@
     constructor(private http: Http, public _cache: CacheService) {}
 
     datasetInfo: DatasetInfo;
-    metrics: Metrics;
 
     getDatasetInfo (id: string):any {
         console.info("getDatasetInfo in service");
@@ -45,23 +43,7 @@
                     })
                     .map(res => this.parseDatasetInfo(res));
 
-    }
 
-    getMetrics (id: string):any {
-        console.info("getDatasetViews in service");
-        //let url = OpenaireProperties. getSearchAPIURLLast() + 'publications/' +id+"?format=json";
-        let url = OpenaireProperties.getMetricsAPIURL()+"results/"+id+"/clicks";
-        let key = url;
-        if (this._cache.has(key)) {
-          return Observable.of(this._cache.get(key)).map(res => this.parseMetrics(res["downloads"], res["views"], res["total_downloads"], res["total_views"]));
-        }
-        return this.http.get(url)
-                    .map(res => <any> res.json())
-                    .do(res => {
-                      this._cache.set(key, res);
-                    })
-                    .map(res => this.parseMetrics(res["downloads"], res["views"], res["total_downloads"], res["total_views"]));
-    }
 
     private handleError (error: Response) {
     // in a real world app, we may send the error to some remote logging infrastructure
@@ -70,50 +52,6 @@
         return Observable.throw(error  || 'Server error');
     }
 
-    parseMetrics(downloads: string, views: string, totalDownloads: any, totalViews: any): any {
-
-        this.metrics = new Metrics();
-
-        this.metrics.totalDownloads = totalDownloads;
-        this.metrics.totalViews = totalViews;
-
-        this.metrics.infos = new Map<string, {"url": string, "numOfDownloads": string, "numOfViews": string}>();
-
-        for(let i=0; i<downloads.length; i++) {
-            let id: string = downloads[i]['datasource_id'];
-            if(this.metrics.infos.has(id)) {
-                this.metrics.infos.get(id).numOfDownloads = downloads[i]['value'];
-            } else {
-                let info;//: {"url": string, "numOfDownloads": string, "numOfViews": string};
-                info = {};
-
-                info.url = OpenaireProperties.getsearchLinkToDataProvider()+id;
-                info.numOfDownloads = downloads[i]['value'];
-                info.numOfViews = "0";
-
-                this.metrics.infos.set(id, info);
-            }
-        }
-
-        for(let i=0; i<views.length; i++) {
-            let id: string = views[i]['datasource_id'];
-            if(this.metrics.infos.has(id)) {
-                this.metrics.infos.get(id).numOfViews = views[i]['value'];
-            } else {
-                let info;//: {"url": string, "numOfDownloads": string, "numOfViews": string};
-                info = {};
-
-                info.url = OpenaireProperties.getsearchLinkToDataProvider()+id;
-                info.numOfDownloads = "0";
-                info.numOfViews = views[i]['value'];
-
-                this.metrics.infos.set(id, info);
-            }
-        }
-
-        return this.metrics;
-    }
-
     parseDatasetInfo (data: any):any {
         this.datasetInfo = new DatasetInfo();
 
Index: modules/uoa-services-portal/trunk/portal-2/src/app/claimPages/linking/selected/selectedDatasets.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/claimPages/linking/selected/selectedDatasets.component.ts	(revision 45389)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/claimPages/linking/selected/selectedDatasets.component.ts	(revision 45390)
@@ -10,7 +10,7 @@
 
             <div  [ngClass]="showAccessRights?'col-md-8':'col-md-12'">
               <span *ngIf="showAccessRights" (click)="removeDataset(dataset)" aria-hidden="true" class="btn  "><i class="uk-icon-remove"></i></span>
-              <a *ngIf="dataset.url" target="_blank" href="{{dataset.url}}" >{{dataset.title}}</a>
+              <a *ngIf="dataset.url" target="_blank" class="uk-icon-external-link" href="{{dataset.url}}" >{{dataset.title}}</a>
               <span *ngIf="!dataset.url" >{{dataset.title}}</span>
               <span *ngIf="dataset.date" >({{dataset.date.substring(0,4)}})</span>
               <span *ngIf="!showAccessRights" (click)="removeDataset(dataset)" aria-hidden="true" class="btn "><i class="uk-icon-remove"></i></span>
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchResult.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchResult.component.ts	(revision 45389)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/searchUtils/searchResult.component.ts	(revision 45390)
@@ -92,7 +92,7 @@
             <div *ngIf="result['websiteURL'] != undefined && result['websiteURL'] != ''">
                 <span>Website URL: </span>
                 <span>
-                    <a class="custom-external" href="{{result['websiteURL']}}" target="_blank">
+                    <a href="{{result['websiteURL']}}" target="_blank" class="uk-icon-external-link">
                         {{result['websiteURL']}}
                     </a>
                 </span>
@@ -100,7 +100,7 @@
             <div *ngIf="result['OAIPMHURL'] != undefined && result['OAIPMHURL'] != ''">
                 <span>OAI-PMH URL: </span>
                 <span>
-                    <a class="custom-external" href="{{result['OAIPMHURL']}}" target="_blank">
+                    <a href="{{result['OAIPMHURL']}}" target="_blank" class="uk-icon-external-link">
                         {{result['OAIPMHURL']}}
                     </a>
                 </span>
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/search.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/search.component.ts	(revision 45389)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/search.component.ts	(revision 45390)
@@ -8,7 +8,7 @@
     template: `
       <h1>Search Demo</h1>
       <p><i>Fetches from crossref </i></p>
-      <form>
+      <form class="uk-form">
         <input #term   [(ngModel)]="keyword" name="keyword" />
         <button (click)="search(term.value,10,1)"  type="submit" class="uk-button">Search</button>
       </form>
Index: modules/uoa-services-portal/trunk/portal-2/src/app/app.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/app.component.ts	(revision 45389)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/app.component.ts	(revision 45390)
@@ -32,18 +32,18 @@
           <div id="tm-main" class="tm-middle" uk-height-viewport="mode: expand">
              <div class="uk-container uk-container-center">
                 <div class="uk-grid" uk-grid>
-                   <div class="tm-main uk-width-medium-3-4  uk-row-first">
-
+                   <!--div class="tm-main uk-width-medium-3-4  uk-row-first"-->
+                   <div class="tm-main uk-width-medium  uk-row-first">
                      <main>
                        <router-outlet></router-outlet>
                      </main>
                    </div>
                    <!-- Sidebar -->
-                   <div id="tm-sidebar" class="tm-sidebar uk-width-medium-1-4 uk-hidden-small">
-                      <div class="uk-child-width-1-1" uk-grid>
-                              something in sidebar
+                   <!--div id="tm-sidebar" class="tm-sidebar uk-width-medium-1-4 uk-hidden-small"-->
+                   <div id="tm-sidebar" class="tm-sidebar uk-width-medium uk-hidden-small">
+                      <!--div class="uk-child-width-1-1" uk-grid>
                              <login></login>
-                      </div>
+                      </div-->
                    </div>
                    <!-- end of sidebar -->
 
Index: modules/uoa-services-portal/trunk/portal-2/src/app/app.module.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/app.module.ts	(revision 45389)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/app.module.ts	(revision 45390)
@@ -1,3 +1,4 @@
+//import {MaterialModule} from '@angular/material';
 import { NgModule } from '@angular/core';
 import { FormsModule } from '@angular/forms';
 
@@ -20,11 +21,10 @@
 
 import {ServicesModule} from './services/services.module';
 
-
-
 @NgModule({
   declarations: [ AppComponent, XLargeDirective ],
   imports: [
+    //MaterialModule.forRoot(),
     SharedModule,
     HomeModule,
 
@@ -38,7 +38,7 @@
     TestModule,
     HomeModule,
     AppRoutingModule,
-    ErrorModule,
+    ErrorModule
   ], exports:[]
 })
 export class AppModule {
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/tabPaging.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/tabPaging.component.ts	(revision 45389)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/tabPaging.component.ts	(revision 45390)
@@ -3,12 +3,10 @@
 @Component({
     selector: 'tabPaging',
     template: `
-        <div class="panel panel-default" *ngIf="!showAll && length > 10">
-            <div class="panel-heading">
-                <a (click)="changeShowAll.emit({value: true});">
-                    <div class="uk-float-right">view all {{length}}</div>
-                </a>
-            </div>
+        <div class="uk-panel" *ngIf="!showAll && length > 10">
+            <a (click)="changeShowAll.emit({value: true});">
+                <div class="uk-float-right">view all {{length}}</div>
+            </a>
         </div>
     `
     })
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/tabs.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/tabs.component.ts	(revision 45389)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/tabs.component.ts	(revision 45390)
@@ -13,45 +13,45 @@
 @Component({
     selector: 'tabs',
     template: `
-        <ul *ngIf="tabs != undefined" class="nav nav-tabs">
-            <li *ngIf="tabs.length>0" class="active">
-                <a data-toggle="tab" href="#{{tabs[0].content}}">
+        <ul *ngIf="tabs != undefined" class="uk-tab" data-uk-switcher="{connect:'#tab-content'}">
+            <li *ngIf="tabs.length>0" class="uk-active">
+                <a href="#{{tabs[0].content}}">
                     {{tabs[0].name}}
-                    <span class="badge" *ngIf="tabs[0].content=='publicationsTab'">
+                    <span class="uk-badge uk-badge-notification" *ngIf="tabs[0].content=='publicationsTab'">
                         {{searchPublicationsComponent.searchUtils.totalResults}}
                     </span>
-                    <span class="badge" *ngIf="tabs[0].content=='datasetsTab'">
+                    <span class="uk-badge uk-badge-notification" *ngIf="tabs[0].content=='datasetsTab'">
                         {{searchDatasetsComponent.searchUtils.totalResults}}
                     </span>
-                    <span class="badge" *ngIf="tabs[0].content=='projectsTab'">
+                    <span class="uk-badge uk-badge-notification" *ngIf="tabs[0].content=='projectsTab'">
                         {{searchProjectsComponent.searchUtils.totalResults}}
                     </span>
-                    <span class="badge" *ngIf="tabs[0].content=='datasourcesTab'">
+                    <span class="uk-badge uk-badge-notification" *ngIf="tabs[0].content=='datasourcesTab'">
                         {{searchDataprovidersComponent.searchUtils.totalResults}}
                     </span>
-                    <span class="badge" *ngIf="tabs[0].content=='organizationsTab'">
+                    <span class="uk-badge uk-badge-notification" *ngIf="tabs[0].content=='organizationsTab'">
                         {{organizations.length}}
                     </span>
                 </a>
             </li>
 
-            <li *ngFor="let tab of tabs; let i=index" role="presentation">
+            <li *ngFor="let tab of tabs; let i=index">
                 <a *ngIf="i>0"
-                    (click)="search(tab.content, 1, 10)" data-toggle="tab" href="#{{tab.content}}">
+                    (click)="search(tab.content, 1, 10)" href="#{{tab.content}}">
                         {{tab.name}}
-                        <span class="badge" *ngIf="tab.content=='publicationsTab'">
+                        <span class="uk-badge uk-badge-notification" *ngIf="tab.content=='publicationsTab'">
                             {{searchPublicationsComponent.searchUtils.totalResults}}
                         </span>
-                        <span class="badge" *ngIf="tab.content=='datasetsTab'">
+                        <span class="uk-badge uk-badge-notification" *ngIf="tab.content=='datasetsTab'">
                             {{searchDatasetsComponent.searchUtils.totalResults}}
                         </span>
-                        <span class="badge" *ngIf="tab.content=='projectsTab'">
+                        <span class="uk-badge uk-badge-notification" *ngIf="tab.content=='projectsTab'">
                             {{searchProjectsComponent.searchUtils.totalResults}}
                         </span>
-                        <span class="badge" *ngIf="tab.content=='datasourcesTab'">
+                        <span class="uk-badge uk-badge-notification" *ngIf="tab.content=='datasourcesTab'">
                             {{searchDataprovidersComponent.searchUtils.totalResults}}
                         </span>
-                        <span class="badge" *ngIf="tab.content=='organizationsTab'">
+                        <span class="uk-badge uk-badge-notification" *ngIf="tab.content=='organizationsTab'">
                             {{organizations.length}}
                         </span>
                 </a>
@@ -58,8 +58,8 @@
             </li>
         </ul>
 
-        <div *ngIf="tabs != undefined" class="tab-content">
-            <div *ngIf="tabs.length>0" id="{{tabs[0].content}}" class="tab-pane fade in active panel-body">
+        <ul *ngIf="tabs != undefined" id="tab-content" class="uk-switcher uk-margin">
+            <li *ngIf="tabs.length>0" id="{{tabs[0].content}}">
                 <publicationsTab *ngIf="tabs[0].content=='publicationsTab'"
                                  [paramsForSearchLink]="paramsForSearchLink"
                                  [searchPublicationsComponent]="searchPublicationsComponent">
@@ -85,12 +85,20 @@
                 <relatedDatasourcesTab *ngIf="tabs[0].content=='relatedDatasourcesTab'"
                     [searchPublicationsComponent]="searchPublicationsComponentAggregators">
                 </relatedDatasourcesTab>
-                <div *ngIf="tabs[0].content=='metricsTab'" class="well">
+                <!--div *ngIf="tabs[0].content=='metricsTab' && metrics == undefined" class = "uk-alert uk-alert-warning">
+                    Metrics are currently unavailable
+                </div>
+                <div *ngIf="tabs[0].content=='metricsTab' && metrics != undefined" class="uk-panel uk-panel-box">
                         <b>Views: </b>{{metrics}}
-                </div>
-            </div>
+                </div-->
+                <metrics *ngIf="tabs[0].content=='metricsTab' && metricsClicked"
+                    [id]="id" [type]="'datasources'" [name]="name">
+                </metrics>
 
-            <div *ngFor="let tab of tabs; let i=index" id="{{tab.content}}" class="tab-pane fade panel-body">
+
+            </li>
+
+            <li *ngFor="let tab of tabs; let i=index" id="{{tab.content}}">
                 <publicationsTab *ngIf="i>0 && tab.content=='publicationsTab'"
                                  [paramsForSearchLink]="paramsForSearchLink"
                                  [searchPublicationsComponent] = "searchPublicationsComponent">
@@ -115,11 +123,11 @@
                     [dataproviderId]="id"
                     [searchPublicationsComponent]="searchPublicationsComponentAggregators">
                 </relatedDatasourcesTab>
-                <div *ngIf="i>0 && tab.content=='metricsTab'" class="well">
-                    <b>Views: </b>{{metrics}}
-                </div>
-            </div>
-        </div>
+                <metrics *ngIf="i>0 && tab.content=='metricsTab' && metricsClicked"
+                    [id]="id" [type]="'datasources'" [name]="name">
+                </metrics>
+            </li>
+        </ul>
     `
 })
 
@@ -126,6 +134,7 @@
 export class TabsComponent {
 
     @Input() id: string;
+    @Input() name: string;
     @Input() resultsBy: string;
     @Input() tabs: {"name": string, "content": string}[];
     //@Input() publications;
@@ -137,8 +146,6 @@
 
     @Input() _dataproviderService;
 
-    public metrics: string;
-
     public paramsForSearchLink: string = "";
 
     public reloadPublications: boolean = true;
@@ -146,6 +153,7 @@
     public reloadProjects: boolean = true;
     public reloadDataproviders: boolean = true;
 	public reloadRelatedDatasources: boolean = true;
+    public metricsClicked: boolean;
 
     public searchPublicationsComponent : SearchPublicationsComponent;
     public searchDatasetsComponent: SearchDatasetsComponent;
@@ -169,6 +177,8 @@
         if(this.tabs != undefined && this.tabs.length > 0) {
             this.search(this.tabs[0].content, 1, 10);
             this.count(1, 0);
+
+            this.metricsClicked = false;
         }
 
         if(this.resultsBy == "collectedFrom") {
@@ -209,23 +219,10 @@
         } else if(content=='relatedDatasourcesTab') {
             this.searchRelatedDatasources(1, 0);
         } else if(content=='metricsTab') {
-            this.getMetrics();
+            this.metricsClicked = true;
         }
     }
 
-    private getMetrics() {
-        console.info("getDatasourceMetrics: component");
-        this._dataproviderService.getMetrics(this.id).subscribe(
-         data => {
-             this.metrics = data;
-         },
-         err => {
-           console.log(err);
-           console.info("error");
-         }
-        );
-    }
-
     private searchPublications(page: number, size: number) {
         if(this.reloadPublications) {
             this.searchPublicationsComponent.getResultsForDataproviders(this.id, this.resultsBy, page, size);
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/organizationsTab.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/organizationsTab.component.ts	(revision 45389)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/organizationsTab.component.ts	(revision 45390)
@@ -3,7 +3,7 @@
 @Component({
     selector: 'organizationsTab',
     template: `
-        <div *ngIf="organizations.length == 0" class = "alert alert-info " >
+        <div *ngIf="organizations.length == 0" class = "uk-alert">
             There are no organizations
         </div>
 
@@ -15,7 +15,7 @@
 
             <div *ngFor="let item of organizations">
                 <p *ngIf=" item != undefined && item['url'] != undefined">
-                    <a href="{{item['url']}}" target="_blank">
+                    <a href="{{item['url']}}">
                         {{item['name']}}
                     </a>
                 </p>
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/datasetsTab.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/datasetsTab.component.ts	(revision 45389)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/datasetsTab.component.ts	(revision 45390)
@@ -8,7 +8,7 @@
 @Component({
     selector: 'datasetsTab',
     template: `
-        <div *ngIf="searchDatasetsComponent.searchUtils.totalResults == 0" class = "alert alert-info " >
+        <div *ngIf="searchDatasetsComponent.searchUtils.totalResults == 0" class = "uk-alert">
             There are no datasets
         </div>
 
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/projectsTab.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/projectsTab.component.ts	(revision 45389)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/projectsTab.component.ts	(revision 45390)
@@ -8,7 +8,7 @@
 @Component({
     selector: 'projectsTab',
     template: `
-        <div *ngIf="searchProjectsComponent.searchUtils.totalResults == 0" class = "alert alert-info " >
+        <div *ngIf="searchProjectsComponent.searchUtils.totalResults == 0" class = "uk-alert">
             There are no projects
         </div>
 
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/statisticsTab.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/statisticsTab.component.ts	(revision 45389)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/statisticsTab.component.ts	(revision 45390)
@@ -3,7 +3,7 @@
 @Component({
     selector: 'statisticsTab',
     template: `
-        <div *ngIf="statistics == undefined" class = "alert alert-info " >
+        <div *ngIf="statistics == undefined" class = "uk-alert">
             There are no statistics
         </div>
 
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/publicationsTab.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/publicationsTab.component.ts	(revision 45389)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/publicationsTab.component.ts	(revision 45390)
@@ -8,7 +8,7 @@
 @Component({
     selector: 'publicationsTab',
     template: `
-        <div *ngIf="searchPublicationsComponent.searchUtils.totalResults == 0" class = "alert alert-info " >
+        <div *ngIf="searchPublicationsComponent.searchUtils.totalResults == 0" class = "uk-alert">
             There are no publications
         </div>
 
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/datasourcesTab.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/datasourcesTab.component.ts	(revision 45389)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/datasourcesTab.component.ts	(revision 45390)
@@ -7,7 +7,7 @@
 @Component({
     selector: 'datasourcesTab',
     template: `
-        <div *ngIf="searchDataprovidersComponent.searchUtils.totalResults == 0" class = "alert alert-info " >
+        <div *ngIf="searchDataprovidersComponent.searchUtils.totalResults == 0" class = "uk-alert">
             There are no datasources
         </div>
 
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/relatedDatasourcesTab.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/relatedDatasourcesTab.component.ts	(revision 45389)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/relatedDatasourcesTab.component.ts	(revision 45390)
@@ -9,7 +9,7 @@
     selector: 'relatedDatasourcesTab',
     template: `
 
-        <div *ngIf="searchPublicationsComponent.results.length == 0" class = "alert alert-info " >
+        <div *ngIf="searchPublicationsComponent.results.length == 0" class = "uk-alert">
             There are no related dataproviders
         </div>
 
@@ -22,19 +22,20 @@
             <table class="uk-table uk-table-striped">
                 <thead>
                     <tr>
-                        <th class="text-center">Data Provider Name</th>
-                        <th class="text-center">Number of publications/ datasets</th>
+                        <th class="uk-text-center">Data Provider Name</th>
+                        <th class="uk-text-center">Number of publications/ datasets</th>
                     </tr>
                 </thead>
                 <tbody>
                     <tr *ngFor="let item of searchPublicationsComponent.results">
-                        <td class="text-center">
-                            <a href="{{item.url}}" target="_blank">
+                        <td class="uk-text-center">
+                            <a href="{{item.url}}" target="_blank" class="uk-icon-external-link">
                                 {{item.name}}
                             </a>
                         </td>
-                        <td class="text-center">
-                            <a href="{{linkToSearchPublications}}{{item.id}}&ho=and&collectedFrom={{dataproviderId}}&co=and" target="_blank">
+                        <td class="uk-text-center">
+                            <a href="{{linkToSearchPublications}}{{item.id}}&ho=and&collectedFrom={{dataproviderId}}&co=and"
+                                target="_blank" class="uk-icon-external-link">
                                 {{item.count}}
                             </a>
                         </td>
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/metrics.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/metrics.component.ts	(nonexistent)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/metrics.component.ts	(revision 45390)
@@ -0,0 +1,108 @@
+import {Component, Input} from '@angular/core';
+import {Metrics} from '../utils/entities/metrics';
+import {MetricsService } from '../services/metrics.service';
+
+@Component({
+    selector: 'metrics',
+    template: `
+    <div *ngIf="metrics == undefined" class = "uk-alert uk-alert-warning">
+        Metrics are currently unavailable
+    </div>
+    <!--div *ngIf="i>0 && tab.content=='metricsTab' && metrics != undefined" class="uk-panel uk-panel-box"-->
+    <!--/div-->
+
+    <!--dl *ngIf="metrics != undefined"
+        class="uk-description-list-horizontal uk-panel uk-panel-box">
+        <dt *ngIf="type=='results'">Total Downloads: </dt>
+        <dt *ngIf="type!='results'" class="uk-text-break">
+            Total <span [innerHTML]="name"></span> Publication Downloads:
+        </dt>
+        <dd>{{metrics.totalDownloads}}</dd>
+        <dt>Total Views: </dt>
+        <dd>{{metrics.totalViews}}</dd>
+    </dl-->
+    <table *ngIf="metrics != undefined"
+            class="uk-table uk-panel-box">
+        <thead>
+            <tr>
+                <th *ngIf="type=='results'" class="uk-text-center">Total Downloads</th>
+                <th *ngIf="type!='results'" class="uk-text-center">
+                    Total <span [innerHTML]="name"></span> Publication Downloads
+                </th>
+                <th *ngIf="type=='results'" class="uk-text-center">Total Views</th>
+                <th *ngIf="type!='results'" class="uk-text-center">
+                    Total <span [innerHTML]="name"></span> Publication Views
+                </th>
+            </tr>
+        </thead>
+        <tbody>
+            <tr>
+                <td class="uk-text-center">
+                    {{metrics.totalDownloads}}
+                </td>
+                <td class="uk-text-center">
+                    {{metrics.totalViews}}
+                </td>
+            </tr>
+        </tbody>
+    </table>
+
+    <table *ngIf="metrics != undefined && metrics.infos.size > 0"
+            class="uk-table uk-table-striped">
+        <thead>
+            <tr>
+                <th class="uk-text-center">From</th>
+                <th class="uk-text-center">Number Of Downloads</th>
+                <th class="uk-text-center">Number Of Views</th>
+            </tr>
+        </thead>
+        <tbody>
+            <tr *ngFor="let key of metrics.infos.keys()">
+                <td class="uk-text-center">
+                    <a href="{{metrics.infos.get(key).url}}">
+                        {{metrics.infos.get(key).name}}
+                    </a>
+                </td>
+                <td class="uk-text-center">
+                    {{metrics.infos.get(key).numOfDownloads}}
+                </td>
+                <td class="uk-text-center">
+                    {{metrics.infos.get(key).numOfViews}}
+                </td>
+            </tr>
+        </tbody>
+    </table>
+    `
+    })
+
+export class MetricsComponent {
+    @Input() id: string;
+    @Input() type: string;
+    @Input() name: string = "";
+    metrics: Metrics;
+
+    constructor (private _metricsService: MetricsService) {}
+
+    ngOnInit() {
+        this.getMetrics();
+    }
+
+
+    getMetrics() {
+        //if(this.id == undefined || this.id == "") {
+        //    console.log("supplied id in metrics is not acceptable");
+        //}
+        //if(this.type == undefined || this.type == "") {
+        //    console.log("supplied id in metrics is not acceptable");
+        //}
+
+        this._metricsService.getMetrics(this.id, this.type).subscribe(
+         data => {
+             this.metrics = data;
+         },
+         err => {
+           console.log(err);
+         }
+       );
+    }
+}
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/tabTable.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/tabTable.component.ts	(revision 45389)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/tabTable.component.ts	(revision 45390)
@@ -17,7 +17,7 @@
                         <span *ngIf="item['class'] == 'dataset'" class="glyphicon glyphicon-star" aria-hidden="true">
 
                         </span>
-                        <a *ngIf="item['url'] != '' && item['name'] != ''" class="custom-external" href="{{item['url']}}" target="_blank">
+                        <a *ngIf="item['url'] != '' && item['name'] != ''" href="{{item['url']}}">
                             {{item['name']}}
                         </a>
                         <p *ngIf="item['url'] == '' && item['name'] != ''">{{item['name']}}</p>
